Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.rest.handler
Class StatusHandler

    java.lang.Object
      com.twitterapime.parser.DefaultXMLHandler
          com.twitterapime.rest.handler.StatusHandler

All Implemented Interfaces:
  Handler, XMLHandler

    public final class StatusHandler

extends DefaultXMLHandler

Handler class for parsing the status' XML results from Twitter API.

Since:
  1.2
Version:
  1.1
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)

Field Summary

Fields inherited from class com.twitterapime.parser.DefaultXMLHandler
`xmlPath`

Constructor Summary
`StatusHandler()`

Method Summary
`void` | `endDocument()` Callback method called to notify the end of the document.
`Tweet` | `getParsedTweet()` Return the parsed tweet.
`void` | `loadParsedTweet(Tweet tweet)` Load the parsed values into the given tweet.
`void` | `text(java.lang.String text)` Callback method called to notify a string data inside an element.

Methods inherited from class com.twitterapime.parser.DefaultXMLHandler
`endElement, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusHandler

    public StatusHandler()

Method Detail

### text

    public void text(java.lang.String text)
              throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify a string data inside an element.

  Specified by:
    `text` in interface `XMLHandler`
  Overrides:
    `text` in class `DefaultXMLHandler`
  Parameters:
    `text` - String data.
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `DefaultXMLHandler.text(java.lang.String)`

### endDocument

    public void endDocument()
                     throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify the end of the document.

  Specified by:
    `endDocument` in interface `XMLHandler`
  Overrides:
    `endDocument` in class `DefaultXMLHandler`
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `DefaultXMLHandler.endDocument()`

### getParsedTweet

    public Tweet getParsedTweet()

  Return the parsed tweet.

  Returns:
    Tweet.

### loadParsedTweet

    public void loadParsedTweet(Tweet tweet)

  Load the parsed values into the given tweet.

  Parameters:
    `tweet` - Tweet to be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.